<section>
  <form fxLayout="column"
        fxLayoutAlign="center center"
        #formRef="ngForm"
        (ngSubmit)="onSubmit(formRef)">
    <p class="form-title">Signup</p>
    <mat-form-field>
      <input type="email"
             matInput
             placeholder="Your email"
             ngModel
             name="email"
             email
             required
             #emailRef="ngModel">
      <mat-error *ngIf="emailRef.hasError('required')">Email must not be empty</mat-error>
      <mat-error *ngIf="emailRef.hasError('email')">Email is invalid</mat-error>
    </mat-form-field>
    <mat-form-field>
      <input type="password"
             matInput
             placeholder="Your password"
             ngModel name="password"
             required
             minlength="6"
             #passwordInput="ngModel">
      <mat-error>Password should be at least 6 characters long</mat-error>
      <mat-hint align="end"> {{passwordInput.value?.length}} / 6</mat-hint>
    </mat-form-field>
    <mat-form-field>
      <mat-label>Choose a birthdate</mat-label>
      <input matInput
             placeholder="Your birthdate"
             [matDatepicker]="picker"
             [max]="maxDate"
             ngModel
             name="date-picker">
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
      <mat-hint>Age has to be at least 18 years</mat-hint>
    </mat-form-field>
    <mat-checkbox class="terms-and-conditions-checkbox"
                  color="primary"
                  ngModel
                  name="agree-checkbox"
                  required>Agree to Terms and Conditions
    </mat-checkbox>
    <button type="submit"
            mat-raised-button
            color="primary"
            class="confirm-button"
            [disabled]="formRef.invalid">Submit
    </button>
  </form>
</section>
